Subject: Re: raiselower

From: Dominik Vogt <[email-masked]>
Date: Tue, 5 Sep 2000 21:10:54 +0200

On Sun, Jul 16, 2000 at 11:02:16AM -0700, Michael Han wrote:
> On Thu, Jul 13, 2000 at 12:16:20PM -0400, Brad Giaccio wrote:
> > Alright I can't be going insane, well its possible but not related to the
> > following.
> > 
> > Running current CVS with a just few xterms the stacking order seems to get
> > confused.  A simple example is this 
> > 
> > -------
> > |   --|----
> > |   | |   |
> > -------   |
> >     -------
> > 
> > Where the window on the left may be two windows stacked ruffly on top
> > of each other.  If I raiselower the left window, lets say it is on the
> > bottom.  It might raise itself infront of the bottom most right window
> > but no both of them.  A second raiselower sends it to the bottom.  I
> > have raiselower bound to a keystroke.  Executing just raise or lower
> > works as expected.  I verified that all windows are in the same layer.
> > None of the xterms in question are sticky.  Any thoughts? Any sympathy?
> > Has work fine gotten to me and I'm imagining this?
> 
> Hmm, I don't usually use RaiseLower, so I didn't notice. But I just
> tried it out, and when issuing RaiseLower on a window on the bottom of
> its layer, the window stays on the bottom. I see it flash like it's
> raising, but then it falls back to the bottom. After then next
> RaiseLower it comes up front and then behaves correctly for subsequent
> RaiseLower's. I wonder what happened. I'll poke around.

It doesn't seem there was any fix for this since Brad reported it.
Did you find out anything, Mike?  This does not happen in my setup.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Bob Woodside <[email-masked]>
Date: Tue, 05 Sep 2000 22:15:45 -0400

> Did you find out anything, Mike?  This does not happen in my setup.

	Hmmm...I can see the behavior that Mike describes, but not the one Brad
reported. Dominik, can you duplicate Mike's symptom if you switch to
ClickToFocus? This looks suspiciously like something I reported almost a
year ago (in the thread "ClickToFocusDoesntRaise...Does", 19 Sep 1999).
I thought I'd committed the fix for it on 20 Sep 1999, but we still seem
to be getting a superfluous Raise when focus is given to a ClickToFocus
window (and then RaiseLower finds the window on top and lowers it).

	Brad, which focus policy do you use...and does this still happen? Mike,
you are using ClickToFocus, right?

	Sorry I've been unable to be more than a shadowy lurker for the past
several months...I hope I can step out of the shadows before too many
more months go by.

Cheers,
Bob

---

From: Michael Han <[email-masked]>
Date: Tue, 5 Sep 2000 19:43:01 -0700

> window (and then RaiseLower finds the window on top and lowers it).

I haven't had much time to spend on FVWM this summer. I started
looking into the problem but got stymied when I realized I'd need to
reinsert debug code. I'll start a big vacation pretty soon, so I may
have some time before leaving town, or failing that, once I return. If
anyone wants to chase this down in the meantime, feel free.

> you are using ClickToFocus, right?

Yup.
-- 
[email-masked]                            http://www.mikehan.com/
coffee achiever                              San Francisco, California
"Notice how I blame my own mistakes on the lack of rules?" - Dan Espen 
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 6 Sep 2000 13:45:40 +0200

> you are using ClickToFocus, right?

Okay, ClickToFocus does the trick:

 1) Style * ClickToFocus
 2) Mouse 3 t a Raiselower
 3) Create 3 windows overlapping each other (I used rxvt)
 4) Click with button 3 on the title of the middle window
 ==> window is raised and immediately lowered again

> several months...I hope I can step out of the shadows before too many

While you're here ;-) : Elliot's problem with xview applications
seems to be caused by the grab of the button on a window we
introduced with the decor window.  Since the button is grabbed,
the click doesn't make it through to the application window (if
you use MouseFocusClickRaises or ClickToFocus), so you have to
click twice, once to release the grab and once to give it the
focus (try with Textedit).  Any ideas what to do about it, Bob?

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 6 Sep 2000 22:02:03 +0200

> RaiseLower's. I wonder what happened. I'll poke around.

Teehee, some problems have a very simple reason :-)  Consider this:

  Style * ClickToFocus, ClickToFocusRaises
  Mouse 3 t a RaiseLower

Now, what happens if you 3-Click an unfocused window that is not on top?

 1) The window is focused and raised because of ClickToFocusRaises.
 2) The window is lowered by RaiseLower because it is now on top :-P

Of course that does not explain Brad's problem because he uses
keystrokes.  I'll make a fix for this problem, but I am not sure
I can catch every possibility.

Bye

Dominik ^_^  ^_^

---

From: Bob Woodside <[email-masked]>
Date: Thu, 07 Sep 2000 01:43:12 -0400

> I can catch every possibility.

	Erm, in this case I think the behavior is correct, and probably *should
not* be "fixed" - I dunno. The problem that I'm seeing is that it still
occurs with

	Style * ClickToFocusRaisesOff

At least that's what I observe on my system. I haven't had time to look
at it much, except to notice that I left footprints in this area of the
code in events.c (HandleButtonPress) when we did the Great Button Grab
Rewrite last year, and I'm wondering if I may have made a tupo and
broken my earlier fix.

Cheers,
Bob

---

From: Brad Giaccio <[email-masked]>
Date: Thu, 7 Sep 2000 08:48:02 -0400

> you are using ClickToFocus, right?

It doesn't seem to be happening at the moment.  So for right now I'll table the issue.  OF course whenever you take your car to the shop it never makes "that" sound.  By the way I use SloppyFocus

Brad
 
-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]